GET
Get margin risk profile
Runs margin calculations and returns the margin risk profile for the specified account.
Path Params
-
accountIdstring requiredThe ID of the account
Responses
200
Margin risk profile
Response Body
object
-
riskProfileobject requiredriskProfile object
-
netOpenPositionobject requiredQuantity representing the total NOP limit across all currencies. It sets a limit that is compared to the total short position across all currencies (eg. 1000000). Currency represents the currency that the quantity is valued in (eg. USD)netOpenPosition object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
-
transferredCollateralobject requiredQuantity representing the notional value of all collateral balances. This may change as the value of collateral changes with market movements. Currency represents the notional currency (eg. USD)transferredCollateral object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
-
unrealizedPnLobject requiredQuantity representing the sum of unrealized profit and loss across all per-asset open positions. Currency represents the notional currency (eg. USD)unrealizedPnL object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
-
marginBalanceobject requiredQuantity representing the sum of the transferredCollateral and unrealizedPnL. Currency represents the notional currency (eg. USD)marginBalance object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
-
marginRequirementobjectQuantity representing the marginBalance required to continue trading without risk of margin call or liquidation. If margin requirement is not present, either netOpenPosition is zero or there is no requirement. Currency represents the notional currency (eg. USD)marginRequirement object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
-
marginUtilizationPercentagestring nullableQuantity representing the ratio of marginRequirement to marginBalance, measured directly against liquidation and margin call thresholds. This is null if there is no margin requirement.
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - Insufficient permissions
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-